Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.ode
Class StdMet

    java.lang.Object
      biouml.plugins.simulation.ode.StdMet

public class StdMet
extends java.lang.Object

Constructor Summary
`StdMet()`

Method Summary
`static void` | `arraycpy(double[] a, double[] b)`
`static void` | `arraydiff(double[] c, double[] a, double[] b)`
`static void` | `arrayprt(double[] a)`
`static void` | `arraysum(double[] c, double[] a, double[] b)`
`static void` | `dotPro(double[] result, double[] a, double[] b)`
`static void` | `dotQuo(double[] result, double[] a, double[] b)`
`static void` | `epsilon(double[] result, double[] xn, double[] xnPlusOne, double atol, double rtol)`
`static void` | `matrixcpy(double[][] a, double[][] b)`
`static void` | `mtam(double[] result, double[][] matrix, double[] array)`
`static double` | `normInf(double[] vector)`
`static double` | `rmsNorm(double[] vector)`
`static void` | `stam(double[] result, double scalar, double[] array)`
`static void` | `tau(double[] result, double[] xn, double[] xnPlusOne, double[] atol, double[] rtol)`
`static void` | `zero_out(double[] a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdMet

    public StdMet()

Method Detail

### arrayprt

    public static void arrayprt(double[] a)

### zero_out

    public static void zero_out(double[] a)

### arraycpy

    public static void arraycpy(double[] a,
                                double[] b)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### matrixcpy

    public static void matrixcpy(double[][] a,
                                 double[][] b)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stam

    public static void stam(double[] result,
                            double scalar,
                            double[] array)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### arraysum

    public static void arraysum(double[] c,
                                double[] a,
                                double[] b)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### arraydiff

    public static void arraydiff(double[] c,
                                 double[] a,
                                 double[] b)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dotPro

    public static void dotPro(double[] result,
                              double[] a,
                              double[] b)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dotQuo

    public static void dotQuo(double[] result,
                              double[] a,
                              double[] b)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### mtam

    public static void mtam(double[] result,
                            double[][] matrix,
                            double[] array)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### normInf

    public static double normInf(double[] vector)

### rmsNorm

    public static double rmsNorm(double[] vector)

### epsilon

    public static void epsilon(double[] result,
                               double[] xn,
                               double[] xnPlusOne,
                               double atol,
                               double rtol)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tau

    public static void tau(double[] result,
                           double[] xn,
                           double[] xnPlusOne,
                           double[] atol,
                           double[] rtol)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.